Predict the rest of a sentence
curl --request POST \
--url https://app.myhero.so/ai-agent/inline-completion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"before": "<string>",
"after": "<string>",
"documentTitle": "<string>",
"section": "<string>",
"terms": [
"<string>"
]
}
'import requests
url = "https://app.myhero.so/ai-agent/inline-completion"
payload = {
"before": "<string>",
"after": "<string>",
"documentTitle": "<string>",
"section": "<string>",
"terms": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
before: '<string>',
after: '<string>',
documentTitle: '<string>',
section: '<string>',
terms: ['<string>']
})
};
fetch('https://app.myhero.so/ai-agent/inline-completion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.myhero.so/ai-agent/inline-completion",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'before' => '<string>',
'after' => '<string>',
'documentTitle' => '<string>',
'section' => '<string>',
'terms' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.myhero.so/ai-agent/inline-completion"
payload := strings.NewReader("{\n \"before\": \"<string>\",\n \"after\": \"<string>\",\n \"documentTitle\": \"<string>\",\n \"section\": \"<string>\",\n \"terms\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.myhero.so/ai-agent/inline-completion")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"before\": \"<string>\",\n \"after\": \"<string>\",\n \"documentTitle\": \"<string>\",\n \"section\": \"<string>\",\n \"terms\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.myhero.so/ai-agent/inline-completion")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"before\": \"<string>\",\n \"after\": \"<string>\",\n \"documentTitle\": \"<string>\",\n \"section\": \"<string>\",\n \"terms\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"text": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Ai
Predict the rest of a sentence
Predicts how the writer will finish the sentence at the caret — the editor’s ghost text. before is the document up to the caret; after, documentTitle, section and terms are context.
Returns the continuation exactly as it goes after the caret, including any leading space, or an empty string when there is nothing confident to suggest.
POST
/
ai-agent
/
inline-completion
Predict the rest of a sentence
curl --request POST \
--url https://app.myhero.so/ai-agent/inline-completion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"before": "<string>",
"after": "<string>",
"documentTitle": "<string>",
"section": "<string>",
"terms": [
"<string>"
]
}
'import requests
url = "https://app.myhero.so/ai-agent/inline-completion"
payload = {
"before": "<string>",
"after": "<string>",
"documentTitle": "<string>",
"section": "<string>",
"terms": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
before: '<string>',
after: '<string>',
documentTitle: '<string>',
section: '<string>',
terms: ['<string>']
})
};
fetch('https://app.myhero.so/ai-agent/inline-completion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.myhero.so/ai-agent/inline-completion",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'before' => '<string>',
'after' => '<string>',
'documentTitle' => '<string>',
'section' => '<string>',
'terms' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.myhero.so/ai-agent/inline-completion"
payload := strings.NewReader("{\n \"before\": \"<string>\",\n \"after\": \"<string>\",\n \"documentTitle\": \"<string>\",\n \"section\": \"<string>\",\n \"terms\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.myhero.so/ai-agent/inline-completion")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"before\": \"<string>\",\n \"after\": \"<string>\",\n \"documentTitle\": \"<string>\",\n \"section\": \"<string>\",\n \"terms\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.myhero.so/ai-agent/inline-completion")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"before\": \"<string>\",\n \"after\": \"<string>\",\n \"documentTitle\": \"<string>\",\n \"section\": \"<string>\",\n \"terms\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"text": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Authorizations
HERO personal access token
Body
application/json
Response
200 response